diff --git a/src/bin/psql/tab-complete.c b/src/bin/psql/tab-complete.c
index 9dbb4a0..66bccff 100644
--- a/src/bin/psql/tab-complete.c
+++ b/src/bin/psql/tab-complete.c
@@ -1513,9 +1513,16 @@ psql_completion(const char *text, int start, int end)
 	/* ALTER SUBSCRIPTION <name> ... */
 	else if (Matches3("ALTER","SUBSCRIPTION",MatchAny))
 	{
-		COMPLETE_WITH_LIST7("WITH", "CONNECTION", "SET PUBLICATION", "ENABLE",
-							"DISABLE", "OWNER TO", "RENAME TO");
+		COMPLETE_WITH_LIST8("WITH", "CONNECTION", "SET PUBLICATION", "ENABLE",
+							"DISABLE", "OWNER TO", "RENAME TO", "REFRESH PUBLICATION WITH");
 	}
+	/* ALTER SUBSCRIPTION <name> REFRESH PUBLICATION WITH ( ... */
+	else if (HeadMatches3("ALTER", "SUBSCRIPTION", MatchAny) &&
+			 TailMatches4("REFRESH", "PUBLICATION", "WITH", "("))
+	{
+		COMPLETE_WITH_LIST2("COPY DATA", "NOCOPY DATA");
+	}
+	/* ALTER SUBSCRIPTION <name> .. WITH ( ... */
 	else if (HeadMatches3("ALTER", "SUBSCRIPTION", MatchAny) && TailMatches2("WITH", "("))
 	{
 		COMPLETE_WITH_CONST("SLOT NAME");
